<?xml version='1.0' encoding='UTF-8'?>
<?xml-stylesheet type='text/xsl' href='wsdl-viewer.xsl'?>
<wsdl:definitions xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:tns="v1.snt" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" name="FnoMatchingWebService" targetNamespace="v1.snt">
    <wsdl:types>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="v1.snt" xmlns:ns1="fno.matching" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="v1.snt">
            <xs:import namespace="fno.matching"/>
            <xs:complexType name="FnoMatchingQueryUpdateRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="lastEventDate" type="xs:string">
                                <xs:annotation>
                                    <xs:documentation>Дата с которой следует возвращать результаты</xs:documentation>
                                </xs:annotation>
                            </xs:element>
                            <xs:element minOccurs="0" name="lastId" type="xs:long">
                                <xs:annotation>
                                    <xs:documentation>Идентификатор из предыдущего запроса, либо 0</xs:documentation>
                                </xs:annotation>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType abstract="true" name="AbstractSessionAwareRequest">
                <xs:sequence>
                    <xs:element name="sessionId" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Идентификатор сессии (см. SessionService)</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingQueryUpdateResponse">
                <xs:sequence>
                    <xs:element minOccurs="0" name="fnoMatchingInfos">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" name="fnoMatchingInfo" type="ns1:FnoMatchingInfo">
                                    <xs:annotation>
                                        <xs:documentation>Информация по сопоставлениям</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                    <xs:element minOccurs="0" name="lastId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Последний идентификатор сопоставления для передачи в следующем запросе</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="hasNextChunk" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Флаг наличия Форм сопоставлеения для следующего запроса</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="Error">
                <xs:annotation>
                    <xs:documentation>Объект содержащий ошибки валидации документа</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element minOccurs="0" name="property" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Поле документа, в котором обнаружена ошибка</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="errorCode" type="tns:errorCode">
                        <xs:annotation>
                            <xs:documentation>Код ошибки</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="text" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Текст ошибки</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="AccessDeniedFault">
                <xs:annotation>
                    <xs:documentation>При отсутствии у пользователя прав на выполнение данной операции</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="BusinessFault">
                <xs:annotation>
                    <xs:documentation>При возникновении ошибки в ПО</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="SessionClosedFault">
                <xs:annotation>
                    <xs:documentation>При попытке выполнить действие, когда сессия пользователя была закрыта вызовом соответствующего метода либо по таймауту</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="description" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingQueryByRegNumberRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="registrationNumberList">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element maxOccurs="unbounded" name="registrationNumber" type="xs:string">
                                            <xs:annotation>
                                                <xs:documentation>Список идентификаторов Форм сопоставления в системе</xs:documentation>
                                            </xs:annotation>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="FnoMatchingQueryByRegNumberResponse">
                <xs:sequence>
                    <xs:element name="recordsCount" type="xs:int">
                        <xs:annotation>
                            <xs:documentation>Количество возвращаемых записей</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="fnoMatchingInfoList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="fnoMatchingInfo" type="ns1:FnoMatchingInfo">
                                    <xs:annotation>
                                        <xs:documentation>Информация по Электронному Договору</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingChangeRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="actionInfoList">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element maxOccurs="unbounded" name="fnoMatchingActionInfo" type="ns1:FnoMatchingActionInfo">
                                            <xs:annotation>
                                                <xs:documentation>Информация об изменении статуса СНТ</xs:documentation>
                                            </xs:annotation>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="FnoMatchingChangeResponse">
                <xs:annotation>
                    <xs:documentation>Результат операции изменения статуса</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="resultList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" name="changeStatusResult" type="ns1:FnoMatchingChangeStatusResult">
                                    <xs:annotation>
                                        <xs:documentation>Результат операции изменения статуса</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingErrorByIdRequest">
                <xs:annotation>
                    <xs:documentation>Запрос ошибок Формы сопоставления</xs:documentation>
                </xs:annotation>
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="idList">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element maxOccurs="unbounded" name="id" type="xs:long">
                                            <xs:annotation>
                                                <xs:documentation>Список идентификаторов Договоров</xs:documentation>
                                            </xs:annotation>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="FnoMatchingErrorByIdResponse">
                <xs:annotation>
                    <xs:documentation>Ответ на запрос ошибок Формы сопоставления</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="recordsCount" type="xs:int">
                        <xs:annotation>
                            <xs:documentation>Количество возвращаемых записей</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="errorInfos">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="errorInfo" type="ns1:FnoMatchingErrorInfo">
                                    <xs:annotation>
                                        <xs:documentation>Информация по истории Формы сопоставления</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="UploadFnoMatchingRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="fnoMatchingList">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element maxOccurs="unbounded" name="fnoMatchingInfo" type="ns1:FnoMatchingUploadInfo">
                                            <xs:annotation>
                                                <xs:documentation>Форма сопоставления СНТ и ФНО 328</xs:documentation>
                                            </xs:annotation>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                            <xs:element name="x509Certificate" type="xs:string">
                                <xs:annotation>
                                    <xs:documentation>PEM строковое представление (Base64 Encoded) X.509 сертификата, выданного удостоверяющим центром. Используется для проверки подписи Формы и полномочий данного пользователя</xs:documentation>
                                </xs:annotation>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="UploadFnoMatchingResponse">
                <xs:sequence>
                    <xs:element name="acceptedList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="fnoMatchingUploadResult" type="tns:FnoMatchingUploadResult">
                                    <xs:annotation>
                                        <xs:documentation>Список успешно принятых на обработку документов</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                    <xs:element name="declinedList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="fnoMatchingUploadResult" type="tns:FnoMatchingUploadResult">
                                    <xs:annotation>
                                        <xs:documentation>Список отклоненных Системой документов из-за ошибок ФЛК</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingUploadResult">
                <xs:annotation>
                    <xs:documentation>Результат регистрации Формы сопоставления СНТ и ФНО 328 в Системе</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element minOccurs="0" name="errorList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="error" type="tns:Error">
                                    <xs:annotation>
                                        <xs:documentation>Список ошибок валидации</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                    <xs:element minOccurs="0" name="fnoMatchingId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Идентификатор Формы сопоставления в Системе</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="number" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Номер Формы сопоставления в системе Отправителя</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="date" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Дата выписки</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingQueryByIdRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="idList">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element maxOccurs="unbounded" name="id" type="xs:long">
                                            <xs:annotation>
                                                <xs:documentation>Список идентификаторов Форм сопоставления в системе</xs:documentation>
                                            </xs:annotation>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="FnoMatchingQueryByIdResponse">
                <xs:sequence>
                    <xs:element name="recordsCount" type="xs:int">
                        <xs:annotation>
                            <xs:documentation>Количество возвращаемых записей</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="fnoMatchingInfoList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="fnoMatchingInfo" type="ns1:FnoMatchingInfo">
                                    <xs:annotation>
                                        <xs:documentation>Информация по Электронному Договору</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingDeleteRequest">
                <xs:complexContent>
                    <xs:extension base="tns:AbstractSessionAwareRequest">
                        <xs:sequence>
                            <xs:element name="idList">
                                <xs:complexType>
                                    <xs:sequence>
                                        <xs:element maxOccurs="unbounded" name="id" type="xs:long">
                                            <xs:annotation>
                                                <xs:documentation>Список идентификаторов Форм сопоставления в системе</xs:documentation>
                                            </xs:annotation>
                                        </xs:element>
                                    </xs:sequence>
                                </xs:complexType>
                            </xs:element>
                        </xs:sequence>
                    </xs:extension>
                </xs:complexContent>
            </xs:complexType>
            <xs:complexType name="FnoMatchingDeleteResponse">
                <xs:sequence>
                    <xs:element name="resultList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="deleteResult" type="ns1:FnoMatchingDeleteResult">
                                    <xs:annotation>
                                        <xs:documentation>Результат выполнения операции по удалению ошибочных ЭСФ</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:simpleType name="errorCode">
                <xs:restriction base="xs:string">
                    <xs:enumeration value="FNO_MATCHING_WRONG_SIGNATURE"/>
                    <xs:enumeration value="FNO_MATCHING_CREATOR_TIN_NOT_EQUALS_WITH_TIN_IN_SESSION"/>
                    <xs:enumeration value="FNO_MATCHING_NOT_FOUND"/>
                    <xs:enumeration value="FNO_MATCHING_NO_FNO_FOUND"/>
                    <xs:enumeration value="FNO_MATCHING_NO_SOURCE_FOUND"/>
                    <xs:enumeration value="FNO_MATCHING_FNO_PRODUCT_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_WRONG_STATUS"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_WRONG_VERSION"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_PRODUCT_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_PRODUCT_VM_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_PRODUCT_COUNT_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_PRODUCT_REMAINDS_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_PRODUCT_VM_NOT_FOUND"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_FNO_DUPLICATES"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_DUPLICATES"/>
                    <xs:enumeration value="FNO_MATCHING_FNO_NOT_FILLED"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_FNO_NOT_ALL_ROWS_MAPPED"/>
                    <xs:enumeration value="FNO_MATCHING_SUM_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_FNO_ACCESS_DENIED"/>
                    <xs:enumeration value="FNO_MATCHING_VM_ALREADY_LINKED"/>
                    <xs:enumeration value="FNO_MATCHING_VM_ALREADY_NOT_LINKED"/>
                    <xs:enumeration value="FNO_MATCHING_FNO_ALREADY_LINKED"/>
                    <xs:enumeration value="FNO_MATCHING_ILLEGAL_ACTION"/>
                    <xs:enumeration value="FNO_MATCHING_ACCESS_DENIED"/>
                    <xs:enumeration value="FNO_MATCHING_SOURCE_FNO_PRODUCT_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_MEASURE_UNIT_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_TNVED_CODE_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_QUANTITY_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_CANCEL_UNAVAILABLE"/>
                    <xs:enumeration value="FNO_MATCHING_CANCEL_UNAVAILABLE_HAS_RESERVES"/>
                    <xs:enumeration value="FNO_MATCHING_CONVERTION_IMPORT_ONLY_ALLOWED"/>
                    <xs:enumeration value="FNO_MATCHING_CONVERTION_SELLER_COUNTRY_DIFFERS"/>
                    <xs:enumeration value="FNO_MATCHING_DUPPLICATE_NUMBER"/>
                    <xs:enumeration value="FNO_MATCHING_TNVED_HAS_NO_SUCCESSOR"/>
                    <xs:enumeration value="FNO_MATCHING_TNVED_HAS_SUCCESSOR"/>
                    <xs:enumeration value="FNO_MATCHING_AUTO_CANCELLED"/>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="SignatureType">
                <xs:annotation>
                    <xs:documentation>Тип ЭЦП</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:enumeration value="COMPANY">
                        <xs:annotation>
                            <xs:documentation>ЭЦП юридического лица</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="OPERATOR">
                        <xs:annotation>
                            <xs:documentation>ЭЦП лица, уполномоченного подписывать счета-фактуры</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
            <xs:element name="accessDeniedException" nillable="true" type="tns:AccessDeniedFault"/>
            <xs:element name="businessException" nillable="true" type="tns:BusinessFault"/>
            <xs:element name="sessionClosedException" nillable="true" type="tns:SessionClosedFault"/>
            <xs:element name="TrustyOCSPUnknownProblemException" type="tns:TrustyOCSPUnknownProblemException"/>
            <xs:complexType name="TrustyOCSPUnknownProblemException">
                <xs:sequence>
                    <xs:element minOccurs="0" name="message" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:element name="TrustyOCSPNotAvailableException" type="tns:TrustyOCSPNotAvailableException"/>
            <xs:complexType name="TrustyOCSPNotAvailableException">
                <xs:sequence>
                    <xs:element minOccurs="0" name="message" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:element name="TrustyOCSPNonceException" type="tns:TrustyOCSPNonceException"/>
            <xs:complexType name="TrustyOCSPNonceException">
                <xs:sequence>
                    <xs:element minOccurs="0" name="message" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:element name="TrustyOCSPCertificateException" type="tns:TrustyOCSPCertificateException"/>
            <xs:complexType name="TrustyOCSPCertificateException">
                <xs:sequence>
                    <xs:element minOccurs="0" name="message" type="xs:string"/>
                </xs:sequence>
            </xs:complexType>
            <xs:element name="fnoMatchingQueryUpdateRequest" nillable="true" type="tns:FnoMatchingQueryUpdateRequest"/>
            <xs:element name="fnoMatchingQueryUpdateResponse" nillable="true" type="tns:FnoMatchingQueryUpdateResponse"/>
            <xs:element name="fnoMatchingQueryByRegNumberRequest" nillable="true" type="tns:FnoMatchingQueryByRegNumberRequest"/>
            <xs:element name="fnoMatchingQueryByRegNumberResponse" nillable="true" type="tns:FnoMatchingQueryByRegNumberResponse"/>
            <xs:element name="fnoMatchingChangeRequest" nillable="true" type="tns:FnoMatchingChangeRequest"/>
            <xs:element name="fnoMatchingChangeResponse" nillable="true" type="tns:FnoMatchingChangeResponse"/>
            <xs:element name="fnoMatchingErrorByIdRequest" nillable="true" type="tns:FnoMatchingErrorByIdRequest"/>
            <xs:element name="fnoMatchingErrorByIdResponse" nillable="true" type="tns:FnoMatchingErrorByIdResponse"/>
            <xs:element name="fnoMatchingUploadRequest" nillable="true" type="tns:UploadFnoMatchingRequest"/>
            <xs:element name="fnoMatchingUploadResponse" nillable="true" type="tns:UploadFnoMatchingResponse"/>
            <xs:element name="fnoMatchingQueryByIdRequest" nillable="true" type="tns:FnoMatchingQueryByIdRequest"/>
            <xs:element name="fnoMatchingQueryByIdResponse" nillable="true" type="tns:FnoMatchingQueryByIdResponse"/>
            <xs:element name="fnoMatchingDeleteRequest" nillable="true" type="tns:FnoMatchingDeleteRequest"/>
            <xs:element name="fnoMatchingDeleteResponse" nillable="true" type="tns:FnoMatchingDeleteResponse"/>
        </xs:schema>
        <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="fno.matching" xmlns:ns1="v1.snt" targetNamespace="fno.matching" version="1.0">
            <xs:import namespace="v1.snt"/>
            <xs:complexType name="FnoMatchingInfo">
                <xs:annotation>
                    <xs:documentation>Информация о Сопоставлении СНТ и ФНО 328</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element minOccurs="0" name="cancelReason" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Причина аннулирования</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="certificate" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Сертификат для проверки подписи, который содержит также информацию о пользователе — владельце сертификата</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="certificateSerialNumber" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Серийный номер сертификата</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="creatorTin" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>БИН создателя</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element maxOccurs="unbounded" minOccurs="0" name="errors" type="ns1:Error">
                        <xs:annotation>
                            <xs:documentation>Ошибки обработки</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="id" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Первичный ключ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="inputDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата поступления СНТ в Систему</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="lastUpdateDate" type="xs:dateTime">
                        <xs:annotation>
                            <xs:documentation>Дата последнего изменения</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="number" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Номер в учетной системе пользователя</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="originalXML" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>xml-представление документа</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="registrationNumber" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Регистрационный номер</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="signature" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Подпись участника</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="signatureType" type="ns1:SignatureType">
                        <xs:annotation>
                            <xs:documentation>Тип подписи</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="status" type="tns:FnoMatchingStatus">
                        <xs:annotation>
                            <xs:documentation>Статус документа</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="type" type="tns:FnoMatchingType">
                        <xs:annotation>
                            <xs:documentation>Тип формы сопоставления</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingActionInfo">
                <xs:annotation>
                    <xs:documentation>Информация о Форме сопоставления СНТ и ФНО 328</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="actionBody" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Действие по документу Форма сопоставления СНТ и ФНО 328 (XML)</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="certificate" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Сертификат для проверки подписи, который содержит также информацию о пользователе — владельце сертификата</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="signature" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>ЭЦП</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="signatureType" type="ns1:SignatureType">
                        <xs:annotation>
                            <xs:documentation>Тип ЭЦП</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingChangeStatusResult">
                <xs:annotation>
                    <xs:documentation>Результат операции изменения статуса</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="documentId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Идентификатор документа</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="errorList">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="errorList" type="ns1:Error">
                                    <xs:annotation>
                                        <xs:documentation>Список ошибок</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                    <xs:element name="isChanged" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Был ли изменен статус СНТ в результате текущей операции</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="number" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Номер Формы сопоставления в учетной системе пользователя</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="registrationNumber" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Регистрационный номер документа</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element minOccurs="0" name="status" type="tns:FnoMatchingStatus">
                        <xs:annotation>
                            <xs:documentation>Статус документа</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingErrorInfo">
                <xs:annotation>
                    <xs:documentation>Информация об ошибках Формы сопоставления</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element minOccurs="0" name="errors">
                        <xs:complexType>
                            <xs:sequence>
                                <xs:element maxOccurs="unbounded" minOccurs="0" name="error" type="ns1:Error">
                                    <xs:annotation>
                                        <xs:documentation>Список ошибок</xs:documentation>
                                    </xs:annotation>
                                </xs:element>
                            </xs:sequence>
                        </xs:complexType>
                    </xs:element>
                    <xs:element name="fnoMatchingId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Идентификатор Формы сопоставления</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingUploadInfo">
                <xs:annotation>
                    <xs:documentation>Данные загружаемой Формы сопоставления СНТ и ФНО 328</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element name="fnoMatchingBody" type="xs:string">
                        <xs:annotation>
                            <xs:documentation>Форма сопоставления СНТ и ФНО 328 (XML)</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="signature">
                        <xs:annotation>
                            <xs:documentation>ЭЦП XML-представления СНТ</xs:documentation>
                        </xs:annotation>
                        <xs:simpleType>
                            <xs:restriction base="xs:string">
                                <xs:maxLength value="400"/>
                                <xs:minLength value="1"/>
                            </xs:restriction>
                        </xs:simpleType>
                    </xs:element>
                    <xs:element minOccurs="1" name="signatureType" type="ns1:SignatureType">
                        <xs:annotation>
                            <xs:documentation>Тип ЭЦП, которым подписан СНТ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:complexType name="FnoMatchingDeleteResult">
                <xs:annotation>
                    <xs:documentation>Результат операции удаления формы сопоставления СНТ и ФНО 328</xs:documentation>
                </xs:annotation>
                <xs:sequence>
                    <xs:element minOccurs="0" name="errorCode" type="ns1:errorCode">
                        <xs:annotation>
                            <xs:documentation>Информация об ошибке, по причине которой операция не была произведена</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="fnoMatchingId" type="xs:long">
                        <xs:annotation>
                            <xs:documentation>Идентификатор формы сопоставления СНТ и ФНО 328</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                    <xs:element name="isDeleted" type="xs:boolean">
                        <xs:annotation>
                            <xs:documentation>Был ли удален СНТ</xs:documentation>
                        </xs:annotation>
                    </xs:element>
                </xs:sequence>
            </xs:complexType>
            <xs:simpleType name="FnoMatchingStatus">
                <xs:annotation>
                    <xs:documentation>Статус Сопоставления ФНО 328 и СНТ</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:enumeration value="DRAFT">
                        <xs:annotation>
                            <xs:documentation>Черновик</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="CREATED">
                        <xs:annotation>
                            <xs:documentation>Созданный</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="PROCESSED">
                        <xs:annotation>
                            <xs:documentation>Обработанный</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="FAILED">
                        <xs:annotation>
                            <xs:documentation>Ошибочный</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="CANCELED">
                        <xs:annotation>
                            <xs:documentation>Закрыт</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="CANCELED_BY_FNO_REVOKE">
                        <xs:annotation>
                            <xs:documentation>Отзыв методом замены</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="IMPORTED">
                        <xs:annotation>
                            <xs:documentation>Импортирован</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                    <xs:enumeration value="IN_PROCESSING">
                        <xs:annotation>
                            <xs:documentation>В обработке</xs:documentation>
                        </xs:annotation>
                    </xs:enumeration>
                </xs:restriction>
            </xs:simpleType>
            <xs:simpleType name="FnoMatchingType">
                <xs:annotation>
                    <xs:documentation>Тип сопоставления</xs:documentation>
                </xs:annotation>
                <xs:restriction base="xs:string">
                    <xs:enumeration value="SNT_FNO"/>
                    <xs:enumeration value="FORM_PACKING_FNO"/>
                </xs:restriction>
            </xs:simpleType>
        </xs:schema>
    </wsdl:types>
    <wsdl:message name="AccessDeniedException">
        <wsdl:part element="tns:accessDeniedException" name="AccessDeniedException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="TrustyOCSPUnknownProblemException">
        <wsdl:part element="tns:TrustyOCSPUnknownProblemException" name="TrustyOCSPUnknownProblemException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="uploadFormResponse">
        <wsdl:part element="tns:fnoMatchingUploadResponse" name="fnoMatchingUploadResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="TrustyOCSPCertificateException">
        <wsdl:part element="tns:TrustyOCSPCertificateException" name="TrustyOCSPCertificateException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryErrorByIdResponse">
        <wsdl:part element="tns:fnoMatchingErrorByIdResponse" name="fnoMatchingErrorByIdResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryErrorById">
        <wsdl:part element="tns:fnoMatchingErrorByIdRequest" name="fnoMatchingErrorByIdRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="changeStatusResponse">
        <wsdl:part element="tns:fnoMatchingChangeResponse" name="fnoMatchingChangeResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="SessionClosedException">
        <wsdl:part element="tns:sessionClosedException" name="SessionClosedException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="delete">
        <wsdl:part element="tns:fnoMatchingDeleteRequest" name="fnoMatchingDeleteRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryUpdates">
        <wsdl:part element="tns:fnoMatchingQueryUpdateRequest" name="fnoMatchingQueryUpdateRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="BusinessException">
        <wsdl:part element="tns:businessException" name="BusinessException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="TrustyOCSPNotAvailableException">
        <wsdl:part element="tns:TrustyOCSPNotAvailableException" name="TrustyOCSPNotAvailableException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryByIdResponse">
        <wsdl:part element="tns:fnoMatchingQueryByIdResponse" name="fnoMatchingQueryByIdResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryByRegNumber">
        <wsdl:part element="tns:fnoMatchingQueryByRegNumberRequest" name="fnoMatchingQueryByRegNumberRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="TrustyOCSPNonceException">
        <wsdl:part element="tns:TrustyOCSPNonceException" name="TrustyOCSPNonceException">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="deleteResponse">
        <wsdl:part element="tns:fnoMatchingDeleteResponse" name="fnoMatchingDeleteResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="changeStatus">
        <wsdl:part element="tns:fnoMatchingChangeRequest" name="fnoMatchingChangeRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="uploadForm">
        <wsdl:part element="tns:fnoMatchingUploadRequest" name="fnoMatchingUploadRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryUpdatesResponse">
        <wsdl:part element="tns:fnoMatchingQueryUpdateResponse" name="fnoMatchingQueryUpdateResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryByRegNumberResponse">
        <wsdl:part element="tns:fnoMatchingQueryByRegNumberResponse" name="fnoMatchingQueryByRegNumberResponse">
    </wsdl:part>
    </wsdl:message>
    <wsdl:message name="queryById">
        <wsdl:part element="tns:fnoMatchingQueryByIdRequest" name="fnoMatchingQueryByIdRequest">
    </wsdl:part>
    </wsdl:message>
    <wsdl:portType name="FnoMatchingWebService">
        <wsdl:documentation>Сервис работы с формой сопоставления СНТ и ФНО 328</wsdl:documentation>
        <wsdl:operation name="queryUpdates">
            <wsdl:documentation>Список новых зарегистрированных или измененных сопоставлений СНТ и ФНО 328.00 за указанный период в запросе</wsdl:documentation>
            <wsdl:input message="tns:queryUpdates" name="queryUpdates">
    </wsdl:input>
            <wsdl:output message="tns:queryUpdatesResponse" name="queryUpdatesResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryByRegNumber">
            <wsdl:documentation>Получить список Форм сопоставления СНТ и ФНО 328 по рег. номерам</wsdl:documentation>
            <wsdl:input message="tns:queryByRegNumber" name="queryByRegNumber">
    </wsdl:input>
            <wsdl:output message="tns:queryByRegNumberResponse" name="queryByRegNumberResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="changeStatus">
            <wsdl:documentation>Изменить статус Формы сопоставления СНТ и ФНО 328</wsdl:documentation>
            <wsdl:input message="tns:changeStatus" name="changeStatus">
    </wsdl:input>
            <wsdl:output message="tns:changeStatusResponse" name="changeStatusResponse">
    </wsdl:output>
            <wsdl:fault message="tns:TrustyOCSPNotAvailableException" name="TrustyOCSPNotAvailableException">
    </wsdl:fault>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:TrustyOCSPUnknownProblemException" name="TrustyOCSPUnknownProblemException">
    </wsdl:fault>
            <wsdl:fault message="tns:TrustyOCSPNonceException" name="TrustyOCSPNonceException">
    </wsdl:fault>
            <wsdl:fault message="tns:TrustyOCSPCertificateException" name="TrustyOCSPCertificateException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryErrorById">
            <wsdl:documentation>Получить список ошибок Форм сопоставления СНТ и ФНО 328 по рег. номерам</wsdl:documentation>
            <wsdl:input message="tns:queryErrorById" name="queryErrorById">
    </wsdl:input>
            <wsdl:output message="tns:queryErrorByIdResponse" name="queryErrorByIdResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="uploadForm">
            <wsdl:documentation>Загрузить Форму сопоставления СНТ и ФНО 328</wsdl:documentation>
            <wsdl:input message="tns:uploadForm" name="uploadForm">
    </wsdl:input>
            <wsdl:output message="tns:uploadFormResponse" name="uploadFormResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryById">
            <wsdl:documentation>Получить список Форм сопоставления СНТ и ФНО 328 по идентификаторам</wsdl:documentation>
            <wsdl:input message="tns:queryById" name="queryById">
    </wsdl:input>
            <wsdl:output message="tns:queryByIdResponse" name="queryByIdResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="delete">
            <wsdl:documentation>Удалить Форму сопоставления СНТ и ФНО 328 (доступно только для черновиков и ошибочных документов)</wsdl:documentation>
            <wsdl:input message="tns:delete" name="delete">
    </wsdl:input>
            <wsdl:output message="tns:deleteResponse" name="deleteResponse">
    </wsdl:output>
            <wsdl:fault message="tns:AccessDeniedException" name="AccessDeniedException">
    </wsdl:fault>
            <wsdl:fault message="tns:BusinessException" name="BusinessException">
    </wsdl:fault>
            <wsdl:fault message="tns:SessionClosedException" name="SessionClosedException">
    </wsdl:fault>
        </wsdl:operation>
    </wsdl:portType>
    <wsdl:binding name="FnoMatchingWebServiceSoapBinding" type="tns:FnoMatchingWebService">
        <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
        <wsdl:operation name="queryUpdates">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="queryUpdates">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="queryUpdatesResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryByRegNumber">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="queryByRegNumber">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="queryByRegNumberResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="changeStatus">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="changeStatus">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="changeStatusResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="TrustyOCSPNotAvailableException">
                <soap:fault name="TrustyOCSPNotAvailableException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="TrustyOCSPUnknownProblemException">
                <soap:fault name="TrustyOCSPUnknownProblemException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="TrustyOCSPNonceException">
                <soap:fault name="TrustyOCSPNonceException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="TrustyOCSPCertificateException">
                <soap:fault name="TrustyOCSPCertificateException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryErrorById">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="queryErrorById">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="queryErrorByIdResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="uploadForm">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="uploadForm">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="uploadFormResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="queryById">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="queryById">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="queryByIdResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
        <wsdl:operation name="delete">
            <soap:operation soapAction="" style="document"/>
            <wsdl:input name="delete">
                <soap:body use="literal"/>
            </wsdl:input>
            <wsdl:output name="deleteResponse">
                <soap:body use="literal"/>
            </wsdl:output>
            <wsdl:fault name="AccessDeniedException">
                <soap:fault name="AccessDeniedException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="BusinessException">
                <soap:fault name="BusinessException" use="literal"/>
            </wsdl:fault>
            <wsdl:fault name="SessionClosedException">
                <soap:fault name="SessionClosedException" use="literal"/>
            </wsdl:fault>
        </wsdl:operation>
    </wsdl:binding>
    <wsdl:service name="FnoMatchingWebService">
        <wsdl:port binding="tns:FnoMatchingWebServiceSoapBinding" name="FnoMatchingWebServicePort">
            <soap:address location="https://esf.gov.kz:8443/esf-web/ws/api1/FnoMatchingWebService"/>
        </wsdl:port>
    </wsdl:service>
</wsdl:definitions>